Mono.Simd 2.0.0.0 System.ValueType System.CLSCompliant(false) A vector with eight ushorts. This represents a vector that contains 8 unsigned short values.
- Constructor
  2.0.0.0
  v0 component.
  v1 component.
  v2 component.
  v3 component.
  v4 component.
  v5 component.
  v6 component.
  v7 component.
  Creates a vector with eight ushorts.
- Property
  2.0.0.0
  System.UInt16 `` The index of the component. Gets/Sets the component's value.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` Adds two vectors with saturation. The saturated addition of two vectors.

  The resulting vector contains the saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is UInt16.MaxValue.

  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Averages the component values in the vectors. A new vector with the averaged results. Performs an average computations of the values in the two vectors. The operation is performed in hardware by adding the two numbers, adding one to the temporary result and then shifting the result one bit to the right. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First vector. Second vector. Compares the elements of two vectors for equality. A new vector with the comparison results. Equal components get the UInt16.MaxValue, unequal components get the zero value.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` Vector to operate on. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8us `` Vector to operate on. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Returns a vector with the components set to the largest components of each vector. Each individual component of the resulting vector is the largest component of each vector. This is equivalent to using System.Math.Max on each element and returning the resulting vector. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Returns a vector with the components set to the largest components of each vector. Each individual component of the resulting vector is the largest component of each vector. This is equivalent to using System.Math.Max on each element and returning the resulting vector. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector8us `` `` First vector. Second vector. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Computes the sum of two vectors. A new vector. The vector returned is the sum of the individual components in the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Computes the bitwise xor of two vectors. A new vector. The vector returned contains the result of doing a bitwise xor operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16b `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16sb `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2d `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2l `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2ul `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4i `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4ui `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8s `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Number of bits to shift. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Number of bits to shift. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Substracts the values from the second vector from the first. A new vector. The vector elements contain the substraction of the elements in the second vector from the elements in the first vector. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Number of bits to shift. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. The operation to perform. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. The operation to perform. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16b `` `` First vector. Second vector. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Substracts two vectors with saturation. The saturated substraction of two vectors.

  The resulting vector contains the saturated substraction of the individual components of the vector.

  If the result of the substractions for any given component is less than zero, the result is set to zero.

  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Unpacks the high components of the input vectors into a new vector. A new vector that contains (va.V0, vb.V0, va.V1, vb.V1, va.V2, vb.V2, va.V3, vb.V3). Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Method
  2.0.0.0
  Mono.Simd.Vector8us `` `` First vector. Second vector. Unpacks the low components of the input vectors into a new vector. A new vector that contains (va.V4, vb.V4, va.V5, vb.V5, va.V6, vb.V6, va.V7, vb.V7). Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
- Property
  2.0.0.0
  System.UInt16 The V0 component.
- Property
  2.0.0.0
  System.UInt16 The V1 component.
- Property
  2.0.0.0
  System.UInt16 The V2 component.
- Property
  2.0.0.0
  System.UInt16 The V3 component.
- Property
  2.0.0.0
  System.UInt16 The V4 component.
- Property
  2.0.0.0
  System.UInt16 The V5 component.
- Property
  2.0.0.0
  System.UInt16 The V6 component.
- Property
  2.0.0.0
  System.UInt16 The V7 component.